--------------------------------------------------------------------------------
-- Aiming Device by Holzchopf
-- v1.1 - 28 Sep 2011	- Updated hierarchy
--------------------------------------------------------------------------------

-- setup
if holzchopf==nil then holzchopf={} end
holzchopf.aimingdevice={}
holzchopf.aimingdevice.laser={}

-- load ressources
holzchopf.aimingdevice.gfx_icn=loadgfx("holzchopf/aimingdevice.png")
setmidhandle(holzchopf.aimingdevice.gfx_icn)
holzchopf.aimingdevice.gfx_pro=loadgfx("holzchopf/aimingdevicelaser.png")
setmidhandle(holzchopf.aimingdevice.gfx_pro)

--------------------------------------------------------------------------------
-- Weapon
--------------------------------------------------------------------------------
holzchopf.aimingdevice.id=addweapon("holzchopf.aimingdevice","Aiming Device",holzchopf.aimingdevice.gfx_icn,0)

function holzchopf.aimingdevice.draw()
	hudinfo("Aiming device activated")
	if weapon_shots==0 then
		weapon_shots=-999999
		id=createprojectile(holzchopf.aimingdevice.laser.id)
		projectiles[id]={}
		useweapon(1)
	end
end

function holzchopf.aimingdevice.attack(attack)
end

--------------------------------------------------------------------------------
-- Projectile
--------------------------------------------------------------------------------
holzchopf.aimingdevice.laser.id=addprojectile("holzchopf.aimingdevice.laser")

function holzchopf.aimingdevice.laser.draw(id)
	if weapon_shots==-999999 then return end
	setblend(blend_light)
	setcolor(255,255,255)
	setscale(1,40)
	setrotation(getplayerrotation(0))
	drawimage(holzchopf.aimingdevice.gfx_pro,getplayerx(0)+7*getplayerdirection(0)+math.sin(math.rad(getplayerrotation(0)))*400,getplayery(0)+3-math.cos(math.rad(getplayerrotation(0)))*400)
end

function holzchopf.aimingdevice.laser.update(id)
	if getframesleft()<=0 then
		freeprojectile(id)
	end
end